<%
var addButtonClassName = 'js-btn-add btn btn-success';
var deleteButtonClassName = 'js-btn-delete btn btn-danger';
var linkClassName = 'hide';
var previewClass = 'hide';
var imgClassName = '';
var trueLink = null;

if (schema.editable == false) {
  addButtonClassName += ' hide';
  deleteButtonClassName += ' hide';
}

if (value) {
  linkClassName='';
  trueLink = 'mediasFiles/' + value;
  if (value.startsWith('blob:')) {
    trueLink = value;
  }
}
else {
  deleteButtonClassName += ' hide';
}

if (!imgMedia) {
  imgClassName = 'hide';
}

%>
<div class="container">
  <div class="buttons-row">
    <button type="button" class="<%= addButtonClassName %>">Browse file</button>
    <button type="button" class="<%= deleteButtonClassName %>">Remove File</button>
    <input type="file" class="hide" <% if(schema.editable ==false) { %> disabled <%}%> />
  </div>
  <div class="content" >
    <a class="<%= linkClassName %>" href="<%= trueLink %>" target="_blank" >
      <img src="<%= trueLink %>" class="<%= imgClassName %>"/>
      <% if (!imgMedia) { %>
        <%= trueLink  %>
      <% } %>
    </a>
  </div>
  <div class="modal fade" id="myPleaseWait" tabindex="-1" role="dialog" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog ">
      <div class="modal-content js-camtrapProcessing">
        <div class="modal-header">
          <h4 class="modal-title">
            <span class="glyphicon glyphicon-time"></span>
            Please wait while processing data
          </h4>
        </div>
        <div class="modal-body">
          <div class="progress">
            <div class="progress-bar progress-bar-info progress-bar-striped active" style="width: 0%">
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>